Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class TrackBack

    java.lang.Object
      net.sourceforge.pebble.domain.Content
          net.sourceforge.pebble.domain.Response
              net.sourceforge.pebble.domain.TrackBack

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Permalinkable

    public class TrackBack

extends Response

Represents a MovableType TrackBack - see http://www.movabletype.org/docs/mttrackback.html for more information.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sourceforge.pebble.domain.Response
`blogEntry, date, ipAddress, title`

Fields inherited from class net.sourceforge.pebble.domain.Content
`propertyChangeSupport`

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`java.lang.String` | `getBlogName()` Gets the name of the blog for this trackback.
`java.lang.String` | `getContent()` Gets the content of this response.
`java.lang.String` | `getExcerpt()` Gets the excerpt of the blog entry for this trackback.
`java.lang.String` | `getPermalink()` Gets the permalink for this TrackBack.
`java.lang.String` | `getSourceLink()` Gets the link to the source of this response.
`java.lang.String` | `getSourceName()` Gets the name of the source of this response.
`java.lang.String` | `getTitle()` Gets the title of the blog entry for this trackback.
`java.lang.String` | `getUrl()` Gets the url (permalink) of the blog entry for this trackback.
`void` | `setBlogName(java.lang.String blogName)` Sets the name of the blog for this trackback.
`void` | `setExcerpt(java.lang.String excerpt)` Sets the excerpt of the blog entry for this trackback.
`void` | `setUrl(java.lang.String url)` Sets the url (permalink) of the blog entry for this trackback.

Methods inherited from class net.sourceforge.pebble.domain.Response
`getBlogEntry, getDate, getGuid, getId, getIpAddress, getSpamScore, incrementSpamScore, isApproved, isPending, isRejected, setApproved, setDate, setIpAddress, setPending, setRejected, setTitle`

Methods inherited from class net.sourceforge.pebble.domain.Content
`clearPropertyChangeEvents, getEvents, getPropertyChangeEvents, getState, getTruncatedContent, hasEvents, isDirty, nextEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTitle

    public java.lang.String getTitle()

  Gets the title of the blog entry for this trackback.

  Overrides:
    `getTitle` in class `Response`
  Returns:
    the title as a String

### getExcerpt

    public java.lang.String getExcerpt()

  Gets the excerpt of the blog entry for this trackback.

  Returns:
    return the excerpt as a String

### setExcerpt

    public void setExcerpt(java.lang.String excerpt)

  Sets the excerpt of the blog entry for this trackback.

  Parameters:
    `excerpt` - the excerpt as a String

### getContent

    public java.lang.String getContent()

  Gets the content of this response.

  Specified by:
    `getContent` in class `Content`
  Returns:
    a String

### getUrl

    public java.lang.String getUrl()

  Gets the url (permalink) of the blog entry for this trackback.

  Returns:
    return the url as a String

### getSourceLink

    public java.lang.String getSourceLink()

  Gets the link to the source of this response.

  Specified by:
    `getSourceLink` in class `Response`
  Returns:
    a String

### setUrl

    public void setUrl(java.lang.String url)

  Sets the url (permalink) of the blog entry for this trackback.

  Parameters:
    `url` - the url as a String

### getBlogName

    public java.lang.String getBlogName()

  Gets the name of the blog for this trackback.

  Returns:
    return the name as a String

### getSourceName

    public java.lang.String getSourceName()

  Gets the name of the source of this response.

  Specified by:
    `getSourceName` in class `Response`
  Returns:
    a String

### setBlogName

    public void setBlogName(java.lang.String blogName)

  Sets the name of the blog for this trackback.

  Parameters:
    `blogName` - the name as a String

### getPermalink

    public java.lang.String getPermalink()

  Gets the permalink for this TrackBack.

  Returns:
    a URL as a String

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.